package com.lightinit.hsdataplatformresdir.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/5/27.
 */
public class DicResourceType {

    public static final String DATA = "数据";
    public static final String API = "API";
    public static final String MICROAPP = "微应用";

    private static DicResourceType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicResourceType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(DATA, DATA);
        dicMap.put(API, API);
        dicMap.put(MICROAPP, MICROAPP);
    }

    public static DicResourceType getInstacne(){
        if (instance == null)
        {
            instance = new DicResourceType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
